com.microfocus.awm.core

## Class TaurusApplicationPersistableProxy

- java.lang.Object
- - com.microfocus.awm.core.TaurusApplicationPersistableProxy

-     public class TaurusApplicationPersistableProxy
      extends java.lang.Object

  Proxy of an `ITaurusApplication` containing all basic information about the application. This is used as a storage for general code (e.g. parsing master configuration files, loading cached systems ) which does not have a relation to anything about specific implementations of the `ITaurusApplication` interface.

  Not intended to be sub-classed by clients.

  Author:
    RalfP
  See Also:
    `TaurusSystemPersistableProxy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusApplicationPersistableProxy(java.lang.String pName, java.lang.String pModelLocation, java.lang.String pVersion, java.lang.String pInfo)` Creates a new `TaurusApplicationPersistableProxy`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<IApplicationPropertyProxy>` | `getApplicationProperties()` The `Collection` of `IApplicationPropertyProxy`s contains the information about the cached `IApplicationProperty`s.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomAttributes()` Gets the map of custom attributes for this application.
    `java.lang.String` | `getInfo()` Gets the application info flag.
    `java.lang.String` | `getModelLocation()` Gets the location of the model XML file.
    `java.lang.String` | `getName()` Gets the unique name of the application, as displayed in the tree view.
    `java.util.Map<java.lang.String,java.lang.String>` | `getStaticProperties()` Deprecated. the cached application properties are stored in `IApplicationPropertyProxy`s and can be accessed through `getApplicationProperties()`
    `java.lang.String` | `getVersion()` Gets the newest version of the application (not from the model XML file).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusApplicationPersistableProxy

          public TaurusApplicationPersistableProxy(java.lang.String pName,
                                                   java.lang.String pModelLocation,
                                                   java.lang.String pVersion,
                                                   java.lang.String pInfo)

      Creates a new `TaurusApplicationPersistableProxy`
      Parameters:
        `pName` - the unique name of the application
        `pModelLocation` - the location of the applications model
        `pVersion` - the newest version of the model (not of the model file itself)
        `pInfo` - application info flag. Can be `null`.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the unique name of the application, as displayed in the tree view.
      Returns:
        the name of the application

    - #### getModelLocation

          public java.lang.String getModelLocation()

      Gets the location of the model XML file.
      Returns:
        the location of the model

    - #### getVersion

          public java.lang.String getVersion()

      Gets the newest version of the application (not from the model XML file).
      Returns:
        the newest application version

    - #### getInfo

          public java.lang.String getInfo()

      Gets the application info flag.
      Returns:
        the info flag

    - #### getStaticProperties

          @Deprecated
          public java.util.Map<java.lang.String,java.lang.String> getStaticProperties()

      Deprecated. the cached application properties are stored in `IApplicationPropertyProxy`s and can be accessed through `getApplicationProperties()`
      Gets the map of static properties for this application. Each key should be the ID of a property while the value is the static property value.
      Returns:
        the map of static properties

    - #### getApplicationProperties

          public java.util.Collection<IApplicationPropertyProxy> getApplicationProperties()

      The `Collection` of `IApplicationPropertyProxy`s contains the information about the cached `IApplicationProperty`s.
      Returns:
        a `Collection` of `IApplicationPropertyProxy`s.

    - #### getCustomAttributes

          public java.util.Map<java.lang.String,java.lang.String> getCustomAttributes()

      Gets the map of custom attributes for this application.
      Returns:
        the list of custom attributes (can be empty)

Copyright © 2015 Micro Focus GmbH. All rights reserved.